Bug 251686

Summary: Consider removing sysutils/prelink
Product: Ports & Packages Reporter: Alex S <iwtcex>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: arrowd, damjan.jov, gerald, rene
Priority: --- Flags: bugzilla: maintainer-feedback? (damjan.jov)
Version: Latest   
Hardware: Any   
OS: Any   

Description Alex S 2020-12-08 17:46:47 UTC
First, it's broken on CURRENT. Second, apparently it's unmaintained and it was dropped from most Linux distributions years ago. (Debian is a notable exception: https://bugs.winehq.org/show_bug.cgi?id=48878.)

I'll note here that only emulators/wine-devel and emulators/wine-proton depend on sysutils/prelink, emulators/wine doesn't.
Comment 1 Gerald Pfeifer freebsd_committer 2020-12-08 18:16:41 UTC
I plan on removing the prelink dependency from wine-devel around next week
end, not the least since as you point out emulators/wine never has used this.
(There is an explicit note in a commit in 2016.)

Damjan, if you see this as a mistake, please advise.


If you guys want to deprecate the prelink port or make an update, I can
commit this on your behalf.
Comment 2 commit-hook freebsd_committer 2020-12-10 21:03:46 UTC
A commit references this bug:

Author: gerald
Date: Thu Dec 10 21:03:30 UTC 2020
New revision: 557459
URL: https://svnweb.freebsd.org/changeset/ports/557459

Log:
  Remove the dependency on sysutils/prelink which the emulators/wine
  port has never had to begin with from all I can tell.

  This brings this wine-devel port and the wine port closer in sync,
  and prelink is broken on -CURRENT among others.

  PR:		251686

Changes:
  head/emulators/wine-devel/Makefile
Comment 3 Gleb Popov freebsd_committer 2020-12-23 09:44:09 UTC
Should this be closed now?
Comment 4 Alex S 2020-12-23 09:52:04 UTC
(In reply to Gleb Popov from comment #3)

Not until sysutils/prelink either fixed or dead. Preferably latter. Upstream Wine is moving towards compiling as many components as possible into PE executables, so even if prelink still does something it will be useless very soon (see bug 237213).
Comment 5 Alex S 2020-12-23 09:52:31 UTC
(In reply to Alex S from comment #4)

* is
Comment 6 commit-hook freebsd_committer 2021-02-10 13:19:31 UTC
A commit references this bug:

Author: arrowd
Date: Wed Feb 10 13:18:30 UTC 2021
New revision: 564856
URL: https://svnweb.freebsd.org/changeset/ports/564856

Log:
  sysutils/prelink: Mark DEPRECATED.

  PR:		251686
  Reported by:	Alex S <iwtcex@gmail.com>
  Approved by:	damjan.jov@gmail.com (maintainer timeout)

Changes:
  head/sysutils/prelink/Makefile
Comment 7 Rene Ladan freebsd_committer 2021-03-11 21:34:42 UTC
Expired port removed.